$(function(){
	var $form = $('.js-blankForm'),
		$payment = $('.js-blankContainer'),
		$content = $form.parent(),
		$footer = $('.l-footer')
		height = {
			'window': null,
			'content': $content.height(),
			'payment': $payment.outerHeight(),
			'form': $form.height(),
			'footer': $footer.height()
		},
		offsetTop = {
			'payment': $payment.offset().top,
			'form': $form.offset().top
		};
	
	setBlankFormHeight();
	
	/**
	 * Функция для выставления отступа для формы
	 */
	function setBlankFormHeight() { 
		var newContentHeight, newTop;
		
		height.window = getWindowHeight();
		newTop = height.window - (height.form + height.footer + offsetTop.payment);
		top.form = (newTop < height.content) ? height.content : newTop;
		
		//устанавливаем отступ сверху для формы
		$form.css({'top': top.form });
		//устанавливаем высоту контента страницы с учетом отступа формы
		$content.height(top.form + height.form);
	}
	
	/**
	 *  Функция для получения высоты окна браузера
	 */
	function getWindowHeight() {
		var result = (typeof(window.innerHeight) != 'undefined') ? window.innerHeight : '',
			docElement = document.documentElement;
		
		if (!result) {
			if (docElement && (docElement.clientWidth || docElement.clientHeight)) {
				result = document.documentElement.clientHeight;
			}
		}
		
		return result;
	}
	
	/**
	 * Обработчик изменения размеров окна браузера
	 */
	$(window).resize(function() {
		setBlankFormHeight();
	});
})